unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart;

type
  TForm2 = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    Series2: TBarSeries;
    procedure Chart1AfterDraw(Sender: TObject);
    procedure Chart1BeforeDrawChart(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(aOnwer: TComponent); override;
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

{ TForm2 }

constructor TForm2.Create(aOnwer: TComponent);
begin
  inherited;
  Series1.FillSampleValues(20);
  Series2.FillSampleValues(20);
  Series2.Title := 'this is a long description';


  Chart1.MarginUnits:=muPixels;
//  Chart1.MarginRight:=100;

end;

procedure TForm2.Chart1AfterDraw(Sender: TObject);
begin
// this will draw the legend in the wrong location the first time

  Chart1.Legend.CustomPosition:=true;
  Chart1.Legend.Left:=Chart1.Width-Chart1.Legend.Width-10;
  Chart1.Legend.Top:=Chart1.Axes.Bottom.PosAxis-Chart1.Legend.Height-10;{}
end;

procedure TForm2.Chart1BeforeDrawChart(Sender: TObject);
begin
  Chart1.MarginRight:= Chart1.Legend.Width + 30;
// this will draw the legend in the wrong location the first time
{  Chart1.Legend.Left:=Chart1.Width-Chart1.Legend.Width-10;
  Chart1.Legend.Top:=Chart1.Axes.Bottom.PosAxis-Chart1.Legend.Height-10;{}
end;

end.
